Rational Software Architect and Rational Software Architect for WebSphere Software v8.x - Supported Integration Information

Product documentation


Abstract

This document provides information about supported product integration with IBM Rational Software Architect and IBM Rational Software Architect for WebSphere Software version 8.0.x.

Content

Supported Integrations

Rational Software Architect and
Rational Software Architect for WebSphere Software
Integration Information, for:

InfoSphere Data Architect
Rational Asset Manager
Rational Build Forge
Rational Business Developer
Rational ClearCase (Remote Client)
Rational ClearQuest
Rational Developer for System z
Rational Functional Tester
Rational Performance Tester
Rational Requirements Composer
Rational Requisite Pro
Rational Rose
Rational SoDA
Rational System Architect
Rational Tau
Rational Team Concert
WebSphere Application Server Test Environment
WebSphere Business Modeler
WebSphere Integration Developer

Note: Supports IBM Installation Manager versions: 1.4.x
Product Version Comments
Application Development Software
Rational Software Architect Design Manager 3.0.x and 4.0.x Install with Installation Manager
Shell-Share: Yes
Rational Business Developer 8.0.1
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: Yes
Co-Install only, with Rational Software Architect v8.0.3 64-bit installed products

Rational Software Architect 8.0.2 products
See: Incompatibility between Rational Business Developer v8.0.1 and Rational Software Architect, Rational Application Developer v8.0.2 products
Install with Installation Manager
Shell-Share: Yes
Rational Developer for System z .8.5 and, future MOD Releases & Fix Packs
8.0.1
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: Yes
Co-Install only, with Rational Software Architect v8.0.3 64-bit installed products
Asset Management Software
Rational Asset Manager 7.2.x, 7.5.x
and, future MOD Releases & Fix Packs
Rational Software Architect 8.0.2, 8.0.3 products and Rational Asset Manager 7.2.0.2, 7.5.x
Install with Installation Manager
Shell-Share: Yes
Rational Asset Manager integration not supported with Rational Software Architect v8.0.3 64-bit installed products

Rational Software Architect 8.0, 8.0.1 products
Note: Unable to Shell-Share Rational Asset Manager 7.5.0.1 with versions 8.0, 8.0.1 of the product

Rational Software Architect 8.0 products
Install client with Installation Manager or P2 Installer
For P2 installation, see: Installing Rational Asset Manager 7.2.x or 7.5.x by using P2 installer into v8.0 of the product
Installing with Classic Update Manager, not supported
Shell-Share: Yes

Required component: Install Rational Asset Manager integration for systems and software architecture (under "Life cycle & architecture tool integrations")
Build & Release Management Software
Rational Build Forge 7.1.2, 7.1.3
and, future Fix Packs
Must install Rational Build Forge Client with P2 Installer (allows Shell-Sharing)
Rational Build Forge integration not supported with Rational Software Architect v8.0.3 64-bit installed products
Change Management Software
Rational ClearQuest 7.1.x
and, future MOD Releases & Fix Packs
Must install Rational ClearQuest Extension Client with P2 Installer (allows Shell-Sharing)
Version 7.1.1.1 - See Known Integration Issues

Version 7.1.2.1 install with IBM Installation Manager
Shell-Share: Yes
May also install with P2 Installer (allows Shell-Sharing)
Rational ClearQuest integration not supported with Rational Software Architect v8.0.3 64-bit installed products
Configuration Management Tools
Rational ClearCase (Client) 7.1.x
and, future MOD Releases & Fix Packs, 8.0.x
and, future MOD Releases & Fix Packs
Install with IBM Installation Manager
Shell-Share: Yes
May also Co-Install.
Versions 7.1.1.1 & 7.1.1.2 - See Known Integration Issues

Rational ClearCase integrations:

Rational Team Explorer (ClearCase v8):
This is supported for both 32 and 64 bit installations of Rational Software Architect.

SCM adaptor (all ClearCase version):
The SCM adaptor is supported on all versions. However, it is not supported with any 64 version of Rational Software Architect.

ClearCase Remote Client (up to ClearCase v7)
The Remote Client is supported on all versions. However, it is not supported with any 64 version of Rational Software Architect.
Required component: Install Rational ClearCase SCM Adapter (under "Life cycle & architecture tool integrations")
Rational ClearCase Remote Client Extension 7.1.x
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: Yes
Rational Team Concert 2.x, 3.x, 4.0.x
and, future MOD Releases & Fix Packs
Version 4.0.x
Rational Team Concert integration is supported with Rational Software Architect v8.5, v8.5.1 and v8.5.5
Install client with Installation Manager
Shell-Share: Yes
Version 3.x
Install client with Installation Manager
Shell-Share: Yes

Version 2.0.0.2 iFix004 & Future iFixes & 2.0.0.3
May install client with Installation Manager
Shell-Share: Yes

Version 2.0.0.2
Must install 2.x client with P2 Installer (allows Shell-Sharing)
See: Installing Rational Team Concert v2.x into the workbench in v8.0
Rational Team Concert integration not supported with Rational Software Architect v8.0.3 64-bit installed products

Required profile: Install with Architect - Standard installation profile
Data Modeling & Integration Design Tool
InfoSphere Data Architect 8.1 Rational Software Architect v8.5, v8.5.1 and v8.5.5
7.6 Rational Software Architect v8.0.4, v8.0.4.1 and v8.0.4.2
7.5.x
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: No, Co-Install only
See IDA Note, below

Required component: Install InfoSphere Data Architect integration (under "Life cycle & architecture tool integrations")
Delivery/Management Business Applications & Services
WebSphere Application Server Test Environment 6.1
7.0
8.0
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: Yes
Required component: Install WebSphere Application Server development
WebSphere Integration Developer 6.0.1.x, 7.0.x and, future MOD Releases & Fix Packs Install with Installation Manager
Shell-Share: No, Co-Install only
Required feature: Install Rational Software Architect Extension for SOA and WebSphere or Rational Software Architect for WebSphere Software
Documentation Automation Tool
Rational SoDA 7.0.x
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: No, Co-Install only
Rational SoDA integration not supported with Rational Software Architect v8.0.3 64-bit installed products
Required component: Install Rational SoDA integration (under "Architecture reporting")
Functional & Performance Testing Software
Rational Functional Tester 8.2
and, future Fix Packs
Install with Installation Manager
Shell-Share: Yes
Co-Install only, with Rational Software Architect v8.0.3 64-bit installed products
Rational PerformanceTester 8.2
and, future Fix Packs
Install with Installation Manager
Shell-Share: Yes
Co-Install only, with Rational Software Architect v8.0.3 64-bit installed products
Modeling Tools
Rational System Architect 11.3.x, 11.4.x
and, future Fix Packs
Install with InstallShield
Shell-Share: No, Co-Install only

Required component: Install Rational System Architect integration (under "Life cycle & architecture tool integrations")
Rational Rose 2003.06.xx
7.0.0.4 IFix001
and, future iFixes
Install with InstallShield
See Rational Rose Note, below

Required component: Install Rational Rose model import
Rational Tau 4.3.0.x
and, future Fix Packs
Install with Installation Manager
Shell-Share: No, Co-Install only
WebSphere Business Modeler 5.1.x, 6.0.x, 6.1.x, 6.2.x, 7.0.x
and, future MOD Releases & Fix Packs
Install with Installation Manager
Shell-Share: No, Co-Install only
Required component: Install Rational Business Modeler integration (under "Life cycle & architecture tool integrations")
Requirements Management Software
Rational Requirements Composer (Client) 2.x
and, future Fix Packs
Install client with Installation Manager
Shell-Share: No, Co-Install only
Rational RequisitePro 7.1.x
and, future MOD Releases & Fix Packs
Install client with Installation Manager
Shell-Share: No, Co-Install only
Rational RequisitePro integration not supported with Rational Software Architect v8.0.3 64-bit installed products
Required component: Install Rational RequistePro integration (under "Life cycle & architecture tool integrations")
Integrated Development Environment
Microsoft Visual Studio .NET 2005
2008
2010
Shell-Share: No, Co-Install only
Required profile: Install with the "MDD for Microsoft .Net" installation profile


Co-Installing vs Shell-Sharing

Co-Install means two or more products are installed on the same machine, but into different package groups (each product functions independently).

Shell-Share means two or more products are installed on the same machine in the same package groups. When starting one of the products, the functionality in other products will also be available.

Installation Methods

IBM Installation Manager: http://publib.boulder.ibm.com/infocenter/install/v1r4/index.jsp

P2 Installer:
http://publib.boulder.ibm.com/infocenter/rsahelp/v8/index.jsp?topic=/org.eclipse.platform.doc.user/tasks/tasks-129.htm

Classic Update Manager:
http://publib.boulder.ibm.com/infocenter/rsahelp/v8/index.jsp?topic=/org.eclipse.platform.doc.user/tasks/tasks-32.htm

Known Integration Issues & Notes


Rational ClearCase
Remote Client
  1. Cannot complete Rebase operation involving a merge of a UML model.
    When the user performs a rebase operation that requires a merge of a UML model, the model is successfully merged but the rebase operation is stopped and cannot be resumed.
    Note: This issue does not occur with Rational ClearCase Remote Client v7.1.1.04, v7.1.1.3, or later.


Rational ClearQuest
  1. Unable to install ClearQuest Extension client plug-ins with IM (the following errors will occur):
    The following additional components are required in installation location "IBM Software Delivery Platform": In installation context "com.ibm.sdp.eclipse.ide"
    Component "org.eclipse.test.feature" required by component "com.ibm.rational.test.mt.execution" was not found

    or, with the Eclipse Classic Updater (the following error will occur):
    Rational ClearQuest IDE Feature (...) requires plug-in "com.ibm.rational.clearquest.ui"


Rational Rose
  1. Supported Rose Petal Version Information


InfoSphere Data Architect
  1. UML-to-LDM transformation in Rational Software Architect or Rational Software Architect for WebSphere Software v8.0 produces valid 7.5.x logical data models (LDM).

Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational Software Architect Linux, Windows 8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.4.1, 8.0.4.2, 8.5, 8.5.1, 8.5.5

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Software Architect for WebSphere Software
Documentation

Software version:

8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.4.1, 8.0.4.2, 8.5, 8.5.1, 8.5.5

Operating system(s):

Linux, Windows

Reference #:

7019498

Modified date:

2013-09-13

Translate my page

Machine Translation

Content navigation